Skip to content

List organization activity log

Request

List all activity logs for an organization.

Security
ApiKeyAuth(Required scopes: conversation.log)
Query
pageLimitinteger, (int32)

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

pageKeystring

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

fromDatetimestring, (date-time)

Starting date-time filter with ISO 8601 format: yyyy-MM-dd'T'HH:mm:ss.SSS'Z'

toDatetimestring, (date-time)

Ending date-time filter with ISO 8601 format: yyyy-MM-dd'T'HH:mm:ss.SSS'Z'

GET
/beta/conversations/activitylog
curl -i -X GET \
  'https://dev.dixa.io/beta/conversations/activitylog?pageLimit=0&pageKey=string&fromDatetime=2019-08-24T14%3A15%3A22Z&toDatetime=2019-08-24T14%3A15%3A22Z' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

The full list of activity logs for an organization with pagination

Bodyapplication/json
dataArray of objects(ActivityLogEntry)
metaobject(PaginationLinks)
Response
{ "data": [ {}, {} ] }